Class UmlBaseRegion

Declaration :

- C++ : class UmlBaseRegion : public UmlItem
- Java : abstract class UmlBaseRegion extends UmlItem

Directly inherited by : UmlRegion

Artifact : UmlBaseRegion

Operation create

returns a new region named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlState, inout s : str) : UmlRegion, exceptions : RuntimeException
- C++ : public: static UmlRegion * create(UmlState * parent, const char * s)
- Java : public static UmlRegion create(UmlState parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseRegion

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseRegion(in id : item_id, in s : string) :
- C++ : protected: UmlBaseRegion(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseRegion(long id, String s)

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload